Fix rails 4-0-stable compatibility #530

Closed
wants to merge 1 commit into
from

Conversation

Projects
None yet
2 participants
Contributor

etehtsea commented Feb 1, 2014

This commit broke compatibility with jdbc-adapter:

bundle exec rake db:test:prepare
rake aborted!
wrong number of arguments calling `select_rows` (3 for 2)
<path>/db/schema.rb:14:in `(root)'
org/jruby/RubyKernel.java:1099:in `load'
org/jruby/RubyProc.java:271:in `call'
org/jruby/RubyArray.java:1613:in `each'
org/jruby/RubyProc.java:271:in `call'
org/jruby/RubyArray.java:1613:in `each'
org/jruby/RubyProc.java:271:in `call'
org/jruby/RubyArray.java:1613:in `each'
org/jruby/RubyProc.java:271:in `call'
org/jruby/RubyArray.java:1613:in `each'
org/jruby/RubyArray.java:1613:in `each'
org/jruby/RubyKernel.java:1099:in `load'
Tasks: TOP => db:schema:load
(See full trace by running task with --trace)
Owner

kares commented Feb 3, 2014

excellent - on master as 3901d86 expected to be in 1.3.6 thanks a million!

kares closed this Feb 3, 2014

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment